<script lang="ts">
    export let name = undefined
    export let checked
    export let disabled = false
    export let inactive = false
</script>

<label class:inactive={inactive || disabled} class:disabled={disabled}>
    <input type="checkbox" {name} bind:checked={checked} {disabled}
    ><svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' aria-hidden="true" focusable="false">
        <path fill='none' stroke='white' stroke-width='2' d='M3 7.5L7 11L13.5 4'/>
    </svg><span><slot/></span>
</label>

<style>
    label {
        position: relative;
        user-select: none;
    }

    label:not(.disabled) {
        cursor: pointer;
    }

    input[type="checkbox"] {
        opacity: 0;
        width: 0;
        height: 0;
    }

    svg {
        display: inline-block;
        vertical-align: middle;
        margin-bottom: .2em;
        width: 1.4em;
        height: 1.4em;
        margin-right: 8px;
        border: 2px solid #535353;
        background: white;
    }

    input[type="checkbox"]:checked + svg {
        background: #01689b;
        border-color: #01689b;
    }

    label.inactive > input[type="checkbox"]:checked + svg {
        background: #b4b4b4;
        border-color: #b4b4b4;
    }

    input[type="checkbox"]:focus + svg {
        @apply outline-black;
    }

    input[type="checkbox"]:focus:not(:focus-visible) + svg {
        outline: none;
    }

</style>